
s = require 'numbers'

function love.load()
	wd, ht = 600, 300
	love.graphics.setMode( wd, ht, {} )
	gt = 0
	love.graphics.setCaption( 'Numbers' )
	screen = { wd, ht }
	clock_position_x = .15
	clock_position_y = .2
	clock_digit_size = 1.4
	love.graphics.setBackgroundColor( 0, 0, 155 )
	gt			= 0
	run			= false
	started		= false
	end

function love.update( dt )
	if run then gt=love.timer.getTime( ) - start_time end
	s.effect:send( 'time', gt )
	s.effect:send( 'screen', screen )
	s.effect:send( 'cpx', clock_position_x )
	s.effect:send( 'cpy', clock_position_y )
	s.effect:send( 'size', clock_digit_size )
	--s.effect:send( 'mouse', {love.mouse.getPosition()} )
	end

function love.draw()
	love.graphics.setColor( 255, 255,255 )
	love.graphics.setPixelEffect( s.effect )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setPixelEffect()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 5, 5 )
	love.graphics.print( '<space bar> to start/stop', 10, 270)
	love.graphics.print( '<c> to reset', 10, 280 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	if key == ' ' then
		if not run then
			start_time = love.timer.getTime( )-gt run = true
			else
			run = false
			end
		end
	if key == 'c' and not run then gt = 0.00 end
	end
